package com.jpattern.service.cache;

import java.io.Serializable;

import com.jpattern.service.cache.statistics.ICacheStatistics;

/**
 * 
 * @author Francesco Cina'
 *
 * 2 May 2011
 */
public interface ICache {
	
	<T extends Serializable> T get(String key, Class<T> clazz);
	
	Serializable get(String key);
	
	void put(String key, Serializable value);
	
	void remove(String key);
	
	void clear();

	boolean contains(String key);
	
	ICacheStatistics getCacheStatistics();
	
	String getName();
	
	int getSize();
	
}
