package com.jpattern.service.cache.statistics;

import java.util.HashMap;
import java.util.Map;

/**
 * 
 * @author Francesco Cina'
 *
 * 5 May 2011
 * 
 * This class collect a Map with all the statistics of the cache.
 * DO NOT use in production! It store all the values in memory and never check
 * for the map size. 
 */
public class InMemoryCacheStatisticsManager implements ICacheStatisticsManager {

	private static final long serialVersionUID = 1L;
	private Map<String,ICacheStatistics> cacheStatisticsMap = new HashMap<String, ICacheStatistics>();

	@Override
	public ICacheStatistics getCacheStatistics(String cacheName) {
		if (!cacheStatisticsMap.containsKey(cacheName)) {
			cacheStatisticsMap.put(cacheName, new InMemoryCacheStatistics());
		}
		return cacheStatisticsMap.get(cacheName);
	}

}
